Template

Create template

Request API endpoint

POST    https://api.innopaas.com/api/whatsapp/v3/template/submit

Request parameters

Field

Data type

Required

Description

wabaId

String

Yes

Unique identifier of the WhatsApp Business Account

name

String

Yes

Template name: (eg:limited_time_offer_tuscan_getaway_2023) composed of lowercase letters, numbers, and underscores; field limited to 512 characters.

category

String

Yes

Template type: 1-MARKETING,2-AUTHENTICATION,3-UTILITY

messageLanguage

String

Yes

Language supported by the template, (Language abbreviation code must be provided) Please refer to Appendix 1

headerType

Integer

Yes

Whether multimedia is supported, default 1, 1:None,2:Text,3:Image,4:Video,5:Document

caption

String

No

Header content:Field limited to characters (empty for multimedia templates), dynamic parameter format {{1}}

messageBody

String

No

Body content:Field limited to 1024 characters. Dynamic parameter format {{1}}{{2}}, inserted in order

footer

String

No

Footer content:Field limited to 60 characters (for AUTHENTICATION templates, this field represents expiration time, optional, expiration must be within 90 minutes)

safetyAdvice

Integer

No

Whether to add safety advice for AUTHENTICATION templates (0: do not add 1: add) optional. If not added shows: *{{1}}* is your verification code. If added shows: *{{1}}* is your verification code. For security, please do not share this code.

buttons

Object[]

No

Total number of buttons does not exceed 10

├─actionType

String

Button type 1-quick reply,2-visit website,3-call phone number,4-copy code (when category is 2),5-auto fill (when category is 2)

├─label

String

Button text

├─ phoneArea

String

Phone country code (eg:86)

├─ phone

String

Phone number (eg:18877776666)

├─packageName

String

App package name,Template type AUTHENTICATION, optional

├─sigNatureHash

String

App hash signature,Template type AUTHENTICATION, optional

├─ autoFill

String

Auto fill,Template type AUTHENTICATION, optional

├─ targetUrl

String

Website URL (eg:"https://www.chuanglan.com/arrow-up-right{{1}}") Only supports one dynamic parameter, format {{1}}

├─buttonExample

Array

Button variable example (eg:"buttonExample": ["https://www.chuanglan.com/whatsApparrow-up-right"]) Required when website target contains variables; variable content must be a complete URL

headerExample

Objec

No

├─ header_handle

Array

Multimedia template variable (eg:"header_handle": ["4::axxxx"]) For multimedia templates, fill with the handle returned when the file was uploaded

├─ header_text

Array

Plain text template variable (eg:"header_text": ["Chuanglan Cloud Intelligence"]) Text parameter template variable, limit of 1 parameter

bodyExample

Object

No

├─ body_text

Array

Body variables (eg: "body_text":[["variable1","variable2"]]) Variable examples correspond to variables in order; {{1}} corresponds to variable1, and so on

Request example

Response example

Update template

Request API endpoint

Request parameters

Field

Data type

Required

Description

templateId

String

Yes

Template id

wabaId

String

Yes

Unique identifier of the WhatsApp Business Account

name

String

Yes

Template name: (eg:limited_time_offer_tuscan_getaway_2023) composed of lowercase letters, numbers, and underscores; field limited to 512 characters.

category

String

Yes

Template type: 1-MARKETING,2-AUTHENTICATION,3-UTILITY

messageLanguage

String

Yes

Languages supported by the template: (Language abbreviation code must be provided) Please refer to Appendix 1

headerType

Integer

Yes

Whether multimedia is supported, default 1, 1:None,2:Text,3:Image,4:Video,5:Document

caption

String

No

Header content:Field limited to characters (empty for multimedia templates), dynamic parameter format {{1}}

messageBody

String

No

Body content:Field limited to 1024 characters. Dynamic parameter format {{1}}{{2}}, inserted in order

footer

String

No

Footer content:Field limited to 60 characters (for AUTHENTICATION templates, this field represents expiration time, optional, expiration must be within 90 minutes)

safetyAdvice

Integer

No

Whether to add safety advice for AUTHENTICATION templates (0: do not add 1: add) optional. If not added shows: *{{1}}* is your verification code. If added shows: *{{1}}* is your verification code. For security, please do not share this code.

buttons

Object[]

No

Total number of buttons does not exceed 10

├─actionType

String

Button type 1-quick reply,2-visit website,3-call phone number,4-copy code (when category is 2),5-auto fill (when category is 2)

├─label

String

Button text

├─ phoneArea

String

Phone country code (eg:86)

├─ phone

String

Phone number (eg:18877776666)

├─packageName

String

App package name,Template type AUTHENTICATION, optional

├─sigNatureHash

String

App hash signature,Template type AUTHENTICATION, optional

├─ autoFill

String

Auto fill,Template type AUTHENTICATION, optional

├─ targetUrl

String

Website URL (eg:"https://www.chuanglan.com/arrow-up-right{{1}}") Only supports one dynamic parameter, format {{1}}

├─buttonExample

Array

Button variable example (eg:"buttonExample": ["https://www.chuanglan.com/whatsApparrow-up-right"]) Required when website target contains variables; variable content must be a complete URL

headerExample

Object[]

No

├─ header_handle

Array

Multimedia template variable (eg:"header_handle": ["4::axxxx"]) For multimedia templates, fill with the handle returned when the file was uploaded

├─ header_text

Array

Plain text template variable (eg:"header_text": ["Chuanglan Cloud Intelligence"]) Text parameter template variable, limit of 1 parameter

bodyExample

Object[]

No

├─ body_text

Array

Body variables (eg: "body_text":[["variable1","variable2"]]) Variable examples correspond to variables in order; {{1}} corresponds to variable1, and so on

Request example

Response example

Template list

Request API endpoint

Request parameters

Field

Data type

Required

Description

page

Integer

Yes

Page number

size

Integer

Yes

Number of items returned per page

wabaId

String

Yes

Unique identifier of the WhatsApp Business Account

name

String

No

Template name

templateId

String

No

Template id

category

list

No

Template type 1-MARKETING,2-AUTHENTICATION,3-UTILITY

messageLanguage

list

No

Template language (eg:en)

auditStatus

list

No

Template status 1: Pending, 2: Approved, 3: Rejected, 4: Paused, 5: Disabled

Request example code

Response example

Last updated